curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.apache.arrow.stream' \
--data '"<string>"'{
"transaction_id": "<string>",
"location": "<string>",
"version": 1,
"storage_options": {},
"properties": {
"owner": "Ralph",
"created_at": "1452120468"
}
}Create table id in the namespace with the given data in Arrow IPC stream.
The schema of the Arrow IPC stream is used as the table schema. If the stream is empty, the API creates a new empty table.
REST NAMESPACE ONLY
REST namespace uses Arrow IPC stream as the request body.
It passes in the CreateTableRequest information in the following way:
id: pass through path parameter of the same namemode: pass through query parameter of the same nameproperties: serialize as a single JSON-encoded query parameter such as
properties={"user":"alice","team":"eng"}; these are business logic properties
managed by the namespace implementation outside Lance contextstorage_options: serialize as a single JSON-encoded query parameter such as
storage_options={"aws_region":"us-east-1","timeout":"30s"}; these configure
write-time overrides for data and metadata written during table creationcurl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.apache.arrow.stream' \
--data '"<string>"'{
"transaction_id": "<string>",
"location": "<string>",
"version": 1,
"storage_options": {},
"properties": {
"owner": "Ralph",
"created_at": "1452120468"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Business logic properties managed by the namespace implementation outside Lance context.
The map is translated to a single JSON-encoded query parameter such as
properties={"user":"alice","team":"eng"}.
Storage options that configure overrides for writing table data and metadata during
table creation. These are passed to Lance for the write path.
The map is translated to a single JSON-encoded query parameter such as
storage_options={"aws_region":"us-east-1","timeout":"30s"}.
Arrow IPC data
The body is of type file.
Table properties result when creating a table
Optional transaction identifier
x >= 0Configuration options to be used to access storage. The available options depend on the type of storage in use. These will be passed directly to Lance to initialize storage access.
Show child attributes
Business logic properties stored and managed by the namespace implementation outside Lance context. If the implementation does not support table properties, it should return null for this field.
Show child attributes
{
"owner": "Ralph",
"created_at": "1452120468"
}
Was this page helpful?